package com.tuoheng.common;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @Author xiaoying
 * @Date 2023/1/31 17:39
 */
@Configuration
@Data
public class CommonConfig {
    /**
     * 机场地址
     */
    public  static  String airportURL;
    /**
     * DSP地址
     */
    public  static  String dspURL;

    /**
     * 高德KEY
     */
    public static String gaodeKey;
    /**
     * 图片域名
     */
    public static String imageURL;

    /**
     * 机场url
     * @param url
     */
    @Value("${tuoheng.airport-url}")
    public void airportURL(String url) {
        airportURL = url;
    }

    /**
     * DSPurl
     * @param url
     */
    @Value("${tuoheng.dsp-url}")
    public void dspURL(String url) {
        dspURL = url;
    }

    /**
     * 高德KEY赋值
     *
     * @param key 高德KEY
     */
    @Value("${tuoheng.gaodeKey}")
    public void setGaodeKey(String key) {
        gaodeKey = key;
    }

    /**
     * 图片域名赋值
     *
     * @param url 域名地址
     */
    @Value("${tuoheng.image-url}")
    public void setImageUrl(String url) {
        imageURL = url;
    }
}
