package com.tuoheng.controller;


import com.tuoheng.model.dto.City;
import com.tuoheng.model.query.CityQuery;
import com.tuoheng.service.CityService;
import com.tuoheng.until.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 高德城市表 前端控制器
 * </p>
 *
 * @author 拓恒
 * @since 2020-11-03
 */
@RestController
@RequestMapping("/city")
public class CityController{

    @Autowired
    private CityService cityService;

    /**
     * 获取城市列表
     *
     * @param cityQuery 查询条件
     * @return
     */
//    @RequiresPermissions("sys:city:index")
    @GetMapping("/index")
    public JsonResult index(CityQuery cityQuery) {
        return cityService.getList(cityQuery);
    }

    /**
     * 查询行政区列表（树结构）
     *
     * @return 行政区列表（树结构）
     */
    @GetMapping("/queryCityList")
    public JsonResult queryCityList() {
        return cityService.getCityList();
    }
}
