package com.tuoheng.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 平台表
 *
 * @TableName platform
 */
@TableName(value = "platform")
@Data
public class Platform implements Serializable {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 平台编码
     */
    private String platformCode;

    /**
     * 平台名称
     */
    private String platformName;

    /**
     * 平台地址
     */
    private String platformUrl;

    /**
     * 添加人
     */
    private String createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUser;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 有效标识
     */
    private Integer mark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     *是否包含机场平台
     */
    @TableField("is_airport")
    private Boolean isAirport;
}