package com.tuoheng.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;

/**
 * 
 * @TableName t_area
 */
@TableName(value ="t_area")
@Data
public class Area implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * 更新人
     */
    private Long updateUser;

    /**
     * 区域名称
     */
    @NotBlank(message = "分区名称不能为空")
    private String name;

    /**
     * 省份code(多个用逗号隔开)
     */
    @NotBlank(message = "省份code不能为空")
    private String cityCode;

    /**
     * 省份名称(多个用逗号隔开)
     */
    private String cityName;

    /**
     * 1：可用；0：不可使用
     */
    private Integer mark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    /**
     * 编辑人
     */
    private String editorName;
}