package com.tuoheng.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 
 * @TableName t_inspection
 */
@TableName(value ="t_inspection")
@Data
public class Inspection implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 任务编号
     */
    private String code;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 巡检方式 1. 机场巡检  2飞手巡检
     */
    private String inspectionWay;

    /**
     * 巡检机场
     */
    private String airport;

    /**
     * 巡检开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date inspectionTime;

    /**
     * 飞行时长
     */
    private String duration;

    /**
     * 任务状态
     */
    private Integer status;

    /**
     * 来源系统标识
     */
    private String clientId;

    /**
     * 所属行业
     */
    private String industry;

    /**
     * 租户账号
     */
    private String tenantUsername;

    /**
     * srt轨迹文件url
     */
    private String srtUrl;

    /**
     * 视频url
     */
    private String videoUrl;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 是否有效
     */
    private Integer mark;

    /**
     * 任务类型
     */
    private Integer inspectionType;

    /**
     * 飞行里程
     */
    private String flightMileage;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}