package com.tuoheng.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 
 * @TableName t_inspection_file
 */
@TableName(value ="t_inspection_file")
@Data
public class InspectionFile implements Serializable {
    /**
     * ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 问题编号
     */
    private String fileCode;

    /**
     * 所属任务
     */
    private String inspectionName;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 缩略图
     */
    private String fileThumbnail;

    /**
     * 原图
     */
    private String fileOriginal;

    /**
     * 标记图
     */
    private String fileImage;

    /**
     * 纬度(原始图片纬度)
     */
    private String latitude;

    /**
     * 经度(原始图片经度)
     */
    private String longitude;

    /**
     * 处理状态：0待处理 1已处理
     */
    private Integer dealStatus;

    /**
     * 处理状态：0待审核 1已审核
     */
    private Integer status;

    /**
     * 租户账号
     */
    private String tenantUsername;

    /**
     * 来源系统标识
     */
    private String clientId;

    /**
     * 所属行业
     */
    private String industry;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 有效标记
     */
    private Integer mark;
    /**
     * 问题类型
     */
    private String questionName;
    /**
     * 问题编号
     */
    private String questionId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}