package com.tuoheng.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 
 * @TableName t_marker
 */
@TableName(value ="t_marker")
@Data
public class Marker implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * 更新人
     */
    private Long updateUser;

    /**
     * 人员姓名
     */
    @NotBlank(message = "姓名不能为空")
    private String name;

    /**
     * 所属区域Id
     */
    @NotNull(message = "所属区域不能为空")
    private Long areaId;

    /**
     * 联系方式
     */
    @NotBlank(message = "联系方式不能为空")
    private String phone;

    /**
     * 1：可用；0：不可使用
     */
    private Integer mark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    /**
     * 编辑人
     */
    private String editorName;
}