package com.tuoheng.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 菜单表
 * @TableName op_menus
 */
@TableName(value ="op_menus")
@Data
public class Menu implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 修改人
     */
    private Integer updateUser;

    /**
     * 1初始化 0删除
     */
    private Integer mark;

    /**
     * 父级菜单（0：无父级菜单）
     */
    private Integer parentId;

    /**
     * 菜单名称
     */
    private String name;

    /**
     * 菜单所属client
     */
    private String clientId;

    /**
     * icon图标
     */
    private String menuIcon;

    /**
     * 路由地址
     */
    private String path;

    /**
     * 组件路径
     */
    private String component;
    /**
     * 1 启用 2禁用
     */
    private Integer status;

    /**
     * 页面跳转方式
     */
    private String target;

    /**
     * 0：显示；1：隐藏
     */
    private Integer isHidden;

    /**
     * 排序字段
     */
    private Integer sort;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    /**
     * 子级菜单
     */
    @TableField(exist = false)
    private List<Menu> children;

    /**
     * 是否选中
     */
    @TableField(exist = false)
    private boolean checked;

    /**
     * 是否打开
     */
    @TableField(exist = false)
    private boolean open;

    /**
     * 权限节点参数
     */
    @TableField(exist = false)
    private Integer[] checkedList;

}