package com.tuoheng.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 权限配置表
 * @TableName op_permissions
 */
@TableName(value ="op_permissions")
@Data
public class Permissions implements Serializable {
    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 修改人
     */
    private Integer updateUser;

    /**
     * 1：初始化；0：删除
     */
    private Integer mark;

    /**
     * 所属client
     */
    private String clientId;

    /**
     * code标识
     */
    private String code;

    /**
     * 展示name
     */
    private String name;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 0：菜单项action-permissions；
     */
    private Integer type;

    /**
     * 关联菜单id
     */
    private Integer menuId;

    /**
     * 接口路径
     */
    private String apiUrl;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 是否选中
     */
    @TableField(exist = false)
    private boolean checked;

    /**
     * 是否打开
     */
    @TableField(exist = false)
    private boolean open;
}