package com.tuoheng.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 巡检报告表
 * @TableName t_report
 */
@TableName(value ="t_report")
@Data
public class Report implements Serializable {
    /**
     * ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 报告编号
     */
    private String reportNo;

    /**
     * 巡检任务编码
     */
    private String inspectionCode;

    /**
     * 巡检任务名称
     */
    private String inspectionName;

    /**
     * 巡检方式：1巡河报告 2处理报告
     */
    private Object reportType;

    /**
     * 来源系统标识
     */
    private String clientId;

    /**
     * 所属行业
     */
    private String industry;

    /**
     * 租户账号
     */
    private String tenantUsername;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 有效标记
     */
    private Integer mark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}