package com.tuoheng.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 全民/河长问题工单表
 * @TableName t_workorder
 */
@TableName(value ="t_workorder")
@Data
public class Workorder implements Serializable {
    /**
     * ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 工单编号
     */
    private String code;

    /**
     * 处理状态：1问题待指派 2问题待处理 3问题处理中 4问题已处理
     */
    private Integer status;

    /**
     * 工单完成时间
     */
    private Date workCompleteTime;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 处理人
     */
    private Integer handledUser;

    /**
     * 所属行业
     */
    private String industry;

    /**
     * 来源系统标识
     */
    private String clientId;

    /**
     * 租户账号
     */
    private String tenantUsername;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 有效标记
     */
    private Integer mark;

    /**
     * 处理人名称
     */
    private String handledUserName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}