package com.tuoheng.model.param;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author chenjiandong
 * @description: TODO
 * @date 2022/10/8 11:30
 */
@Data
public class CreateClientUserDto {

    @NotEmpty(message = "username can not be empty!")
    private String username;

    @NotEmpty(message = "password can not be empty!")
    private String password;

    /**
     * 如果不是租户，传值：用户所属租户名称
     */
    private String tenantName;

    /**
     * 是否为租户标识
     * 0:不是；1：是
     */
    private Integer tenantFlag;

    @NotNull(message = "clientRoleDtoList can not be null!")
    private List<ClientRoleDto> clientRoleDtoList;
    /**
     * 租户code
     */
    private String code;
    /**
     * 租户名称
     */
    private String name;


    /**
     * 省级编码
     */
    private String provinceCode;
    /**
     * 省份名称
     */
    private String provinceName;
    /**
     *市区编号
     */
    private String cityCode;
    /**
     * 市区名称
     */
    private String cityName;
    /**
     * 区县编号
     */
    private String districtCode;
    /**
     * 区县名称
     */
    private String districtName;

}
