package com.tuoheng.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 租户列表展示返回类
 * @Author xiaoying
 * @Date 2023/1/10 14:39
 */
@Data
public class TenantVo {
    /**
     * 租户id
     */
    private  Long id;
    /**
     * 租户名称
     */
    private String tenantName;
    /**
     * 租户code
     */
    private String tenantCode;
    /**
     * 用户名
     */
    private String username;
    /**
     * 租户绑定的业务系统等
     */
    private List<BusinessSystemVo> list;
    /**
     * 省级编码
     */
    private String provinceCode;
    /**
     * 省份名称
     */
    private String provinceName;
    /**
     *市区编号
     */
    private String cityCode;
    /**
     * 1 正常 0禁用
     */
    private Integer status;

    /**
     * 市区名称
     */
    private String cityName;
    /**
     * 区县编号
     */
    private String districtCode;
    /**
     * 区县名称
     */
    private String districtName;

    /**
     * 租户id对应在用户表中的id
     */
    private  Long tenantId;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    private Long userId;
    /**
     * 客户联系人
     */
    private String customer;
    /**
     * 客户联系方式
     */
    private String customerPhone;
    /**
     * 剩余天数
     */
    private Long remainDays;
    /**
     * 系统有效期
     */
    private String effectiveDate;

}
