package com.tuoheng.service;

import com.tuoheng.common.BaseQuery;
import com.tuoheng.model.dto.City;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tuoheng.until.JsonResult;

import java.util.List;

/**
* @author 小影
* @description 针对表【t_city(行政区划表)】的数据库操作Service
* @createDate 2023-02-03 09:57:16
*/
public interface CityService extends IService<City> {

    /**
     * 获取行政区列表
     *
     * @return 行政区列表
     */
    JsonResult getCityList();

    /**
     * 根据查询条件获取数据列表
     *
     * @param query 查询条件
     * @return
     */
    JsonResult getList(BaseQuery query);

}
